Submit initial wallet backup
POST
/v1/account/register/{regId}/backup
const url = 'https://api.parasta.io/v1/account/register/example/backup';const options = { method: 'POST', headers: { 'Idempotency-Key': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', 'X-Pass-Token': '<X-Pass-Token>', 'Content-Type': 'application/json' }, body: '{"encryptedMnemonic":"example","encryptedDerivationPaths":"example","encryptionMethod":"AES-256-GCM"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/account/register/example/backup \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --header 'X-Pass-Token: <X-Pass-Token>' \ --data '{ "encryptedMnemonic": "example", "encryptedDerivationPaths": "example", "encryptionMethod": "AES-256-GCM" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” regId
required
string
Header Parameters
Section titled “Header Parameters ” Idempotency-Key
required
string format: uuid
IETF draft-ietf-httpapi-idempotency-key-header. Generated freshly by the client for each request.
Request Body required
Section titled “Request Body required ” Media type application/json
object
encryptedMnemonic
required
string
encryptedDerivationPaths
required
string
encryptionMethod
required
string
Example
AES-256-GCMResponses
Section titled “ Responses ”OK
Media type application/json
object
step
string
backupId
string
Example generated
{ "step": "example", "backupId": "example"}